Page MenuHomePhabricator

On bd wikimedia, local overwrite of string "Timezone-bdt" is ignored: Timestamp shows "(+06)" instead of "(বিএসটি)" (BST)
Closed, ResolvedPublic

Description

On https://bd.wikimedia.org, I recently noticed that after signature (--~~~~) mediawiki software adds "(+06)" (e.g. ২৩:২৯, ২১ নভেম্বর ২০১৯ (+06) ) instead of "(বিএসটি)" (e.g. ২৩:২৯, ২১ নভেম্বর ২০১৯ (বিএসটি)). To reproduce go to any page on https://bd.wikimedia.org and insert --~~~~ and preview.

Signature (--~~~~) should produce ২৩:২৯, ২১ নভেম্বর ২০১৯ (বিএসটি) ) instead of ২৩:২৯, ২১ নভেম্বর ২০১৯ (+06)
(23:29, 21 November 2019 (BST) instead of 23:29, 21 November 2019 (+06))

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2019, 6:29 PM

Signatures work fine, its the timestamp that is the issue

Yes. At the end of timestamp (+06) should be (বিএসটি).

Aklapper renamed this task from On bd wikimedia, after signature we getting "(+06)" instead of "(বিএসটি)" (BST) to On bd wikimedia, local overwrite of string "Timezone-bdt" is ignored: Timestamp shows "(+06)" instead of "(বিএসটি)" (BST).Nov 22 2019, 1:13 PM
Aklapper removed a project: MediaWiki-Page-editing.

For history: The timezone for that wiki was set in T150252.
https://bd.wikimedia.org/wiki/বিশেষ:পছন্দসমূহ#mw-prefsection-rendering is set to "Use default (Asia / Dhaka)"

./includes/MWTimestamp.php:		$tzMsg = $this->format( 'T' );  // might vary on DST changeover!
./includes/MWTimestamp.php:		$key = 'timezone-' . strtolower( trim( $tzMsg ) );
./includes/MWTimestamp.php:		return new RawMessage( $tzMsg );
./includes/DefaultSettings.php: * timezone-nameinlowercase like timezone-utc.

Wondering what changed that custom https://bd.wikimedia.org/wiki/মিডিয়াউইকি:Timezone-bdt is ignored now.

Yes, working. Thanks. You may close this bug.

RhinosF1 closed this task as Resolved.Mar 8 2020, 4:55 PM
RhinosF1 assigned this task to Aftabuzzaman.